
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>css优先级 / iVAN</title>

    <meta name="description" content="css优先级 原文:css优先级 为什么要写这篇文章是因为 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;style type=&quot;text/css&quot;&gt; body h1 { color: green; } html h1 { color: purple; } &lt;/style&gt; &lt;/head&gt; &lt;body&gt; &lt;h1&gt;Here is a title!&lt;/h1&gt; &lt;/body&gt; &lt;/ ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">css优先级</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://www.cnblogs.com/starof/p/4387525.html" rel="external nofollow noreferrer">css优先级</a><br />
<br />为什么要写这篇文章是因为</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg"></p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;style type="text/css"&gt;
body h1 {
  color: green;
}
html h1 {
  color: purple;
}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
   &lt;h1&gt;Here is a title!&lt;/h1&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>View Code</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18yYmUxZDVmMWUyZmQyMjA1MDQ4MjJlNmJjZjIyODM3ZC5wbmc=.jpg"></p>
<p>上面代码执行结果是这样的。按照我的理解，body在DOM中比html近，应该会按body h1中定义的绿色来显示文字，但是恰恰相反，文字颜色是紫色的。</p>
<p>原因现在我当然是知道的，因为css中优先级无视DOM树中节点的距离远近，就是说DOM树中的距离不会对元素优先级计算产生影响。如果优先级相同，靠后的 CSS 会应用到元素上。而html h1靠后，当然是紫色了，如果调换html h1和body h1顺序那就是绿色了。</p>
<p>以上我刚开始犯的错误，其实是被继承样式给唬住了，但是继承的样式是低于设定的样式的。如果只是继承，那离的近的当然优先级高，比如举个例子：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg"></p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;style type="text/css"&gt;
#close{
    color: green;
}
#further{
    color: purple;
}

&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div id="further"&gt;
&lt;div id="close"&gt;
   &lt;h1&gt;Here is a title!&lt;/h1&gt;
&lt;/div&gt;
&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>View Code</p>
<p>不管#close和#further顺序，文字都是绿色的。</p>
<p>接下来就系统的看看css优先级。</p>
<h1>一、优先级</h1>
<p>浏览器根据优先级来决定给元素应用哪个样式，而优先级仅由选择器的匹配规则来决定。</p>
<p>内联》ID选择器》伪类》属性选择器》类选择器》元素选择器【p】》通用选择器(*)》继承的样式</p>
<h1>二、优先级计算：</h1>
<p>上面说了，优先级仅有选择器决定，怎么个计算方法呢？</p>
<p>a、用a表示选择器中ID选择器出现的次数</p>
<p>b、用b表示类选择器，属性选择器和伪类选择器出现的总次数。</p>
<p>c、用c表示标签选择器、伪元素选择器出现的总次数</p>
<p>d、忽略通用选择器</p>
<p>e、然后计算a*100+b*10+c的大小，这就是优先级了。</p>
<p>权重：内联样式1000》id选择器100》class选择器10》标签选择器1</p>
<p>Note:</p>
<p>ID选择器「如：#header」，Class选择器「如：.foo」，属性选择器「如：[class]」，伪类「如：:link」，标签选择器「如：h1」，伪元素「如：:after」，选择器「*」</p>
<p>接下来从以下几点深入分析优先级。</p>
<h2>1、优先级计算无视DOM树中的距离</h2>
<p>开头说明的例子：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg"></p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;style type="text/css"&gt;
body h1 {
  color: green;
}
html h1 {
  color: purple;
}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;h1&gt;Here is a title!&lt;/h1&gt;
&lt;/html&gt;</pre>
<p>View Code</p>
<p>body h1和html h1的优先级相同。</p>
<h2>2、基于类型的优先级</h2>
<p>优先级是根据选择器的类型进行计算的。</p>
<p>举例：属性选择器尽管选择了一个ID但是在优先级计算中还是根据类型计算，因此即使选择的是相同的元素，但ID选择器有更高的优先级，所以* #foo设置的样式生效。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg"></p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;style type="text/css"&gt;
* #foo {
  color: green;
}
*[id="foo"] {
  color: purple;
}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="foo"&gt;I am a sample text.&lt;/p&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>View Code</p>
<h2>3、：not伪类不参与优先级计算</h2>
<p>【：not】否定伪类在优先级计算中不会被看做是伪类，但是，会把:not里面的选择器当普通选择器计数。这句话有点不好理解，其实就是忽略掉:not，其他伪类(如:hover)参与CSS优先级的计算，但是「:not」不参与计算。</p>
<p>举个例子：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg"></p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;style type="text/css"&gt;
div.outer p {
  color:red;
}
div:not(.outer) p {
  color: blue;
}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div class="outer"&gt;
  &lt;p&gt;This is in the outer div.&lt;/p&gt;
  &lt;div class="inner"&gt;
    &lt;p&gt;This text is in the inner div.&lt;/p&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>View Code</p>
<p>该例子中，选择器div.outer p 和选择器div:not(.outer) p的优先级是相同的，:not被忽略掉了，:not(.outer)中的.outer正常计数。</p>
<h2>4、优先级计算不升位</h2>
<p>不要把权重简单的作为10进制数字比较其大小。</p>
<p>a=1的规则优先级将永远高于其他a=0的。</p>
<p>比如一个选择器的a&gt;0，b=0即使另外一个选择器的a=0，b=12，那么前者的权重依然更大！！</p>
<p>为证明我做了一个不现实的demo</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg">View Code</p>
<p>可见文本颜色还是绿色！！</p>
<p>同样有一个带有10个id选择器的规则，优先级也不如内联样式。</p>
<p>总之优先级的计算不是基于十进制升位的，后面的数优先级再高也不能升到前一位。</p>
<h2>5、其他</h2>
<p>下面再给出一个经典的例子，自己计算一下就明白了。</p>
<pre>Examples:

*               /* a=0 b=0 c=0 -&gt; specificity =   0 */
LI              /* a=0 b=0 c=1 -&gt; specificity =   1 */
UL LI           /* a=0 b=0 c=2 -&gt; specificity =   2 */
UL OL+LI        /* a=0 b=0 c=3 -&gt; specificity =   3 */
H1 + *[REL=up]  /* a=0 b=1 c=1 -&gt; specificity =  11 */
UL OL LI.red    /* a=0 b=1 c=3 -&gt; specificity =  13 */
LI.red.level    /* a=0 b=2 c=1 -&gt; specificity =  21 */
#x34y           /* a=1 b=0 c=0 -&gt; specificity = 100 */
#s12:not(FOO)   /* a=1 b=0 c=1 -&gt; specificity = 101 */</pre>
<p>如果确实有棘手的情况，可以在Firebug中查看优先级。Firebug中按照优先级排序显示规则，将优先级更高的规则显示在最上面，并将被覆盖的规则用删除线划掉。</p>
<p><a href="http://www.cnblogs.com/starof/p/4387525.html" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19lYjc4NzdmM2I3ZjRiZGRiZTg5ZGJjYzZkMTYxOGIwZS5wbmc=.jpg"></a></p>
<h1>三、!import</h1>
<p>为什么没有把!import放在优先级顺序中，因为官方认为!import和优先级没一点关系。</p>
<p>不建议使用!import</p>
<ul>
<li><strong>Never </strong>绝不要在全站使用!import。</li>
<li><strong>Only </strong>只在需要覆盖全站或外部 css（例如引用的 ExtJs 或者 YUI ）的特定页面中使用   <code>!important</code></li>
<li><strong>Never </strong>永远不要在你的插件中使用 <code>!important</code></li>
<li><strong>Always </strong>要优先考虑使用样式规则的优先级来解决问题而不是 <code>!important</code></li>
</ul>
<p>选择元素时尽量不要多选，不要放宽选择器的范围。因为范围越小，越具有针对性，优先级越高。</p>
<h2>1、什么场合使用!import?</h2>
<p>使用!import的场合也是有的，但是是在没有别的解决方案的时候。</p>
<p>比如需要覆盖内联样式，因为内联样式的优先级最高，只能用!import去覆盖内联样式。</p>
<p>还有一种情况</p>
<pre>&lt;style type="text/css"&gt;
#someElement p {
    color: blue;
}

p.awesome {
    color: red;
}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div id="someElement"&gt;
&lt;p class="awesome"&gt;some text&lt;/p&gt;
&lt;/div&gt;
&lt;/body&gt;</pre>
<p>在外层有 <code>#someElement</code> 的情况下，你怎样能使 <code>awesome </code>的段落变成红色呢？这种情况下，如果不使用 <code>!important</code> ，第一条规则永远比第二条的优先级更高。这也是没有别的办法，如果用内联结果只会更糟糕。</p>
<h2>2、怎样覆盖已有!import规则</h2>
<p>a、再加一条!import的css语句，将其应用到更高优先级的选择器（在原有基础上添加额外的标签、类或者ID选择器）。</p>
<p>几个更高优先级选择器的例子：</p>
<pre>table td    {height: 50px !important;}
.myTable td {height: 50px !important;}
#myTable td {height: 50px !important;}</pre>
<p>b、选择器一样，但添加的位置在原有声明后面。因为相同优先级，后边定义的声明覆盖前面的。</p>
<p>相同选择器的例子：</p>
<pre>td {height: 30px !important;}
td {height: 50px !important;}</pre>

<h1>四、资源链接</h1>
<p><a href="http://www.w3.org/TR/selectors/#specificity" rel="external nofollow noreferrer">http://www.w3.org/TR/selectors/#specificity</a><br /><a href="https://developer.mozilla.org/en-US/docs/Web/CSS/Specificity" rel="external nofollow noreferrer">https://developer.mozilla.org/en-US/docs/Web/CSS/Specificity</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-26 13:43:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/html/" title="html">html</a>, <a href="https://www.iamivan.net/tag/code/" title="code">code</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/css/" title="css">css</a>, <a href="https://www.iamivan.net/tag/view/" title="view">view</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>css优先级的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyy4dM.html" rel="bookmark">css优先级探讨</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章是对于CSS优先级的探讨,您是否能熟练使用了呢? css优先级的四大原则: 原则一: 继承不如指定 如果某样式是继承来的永远不如具体指定的优先级高. 例子1: CODE: &lt;style type=&quot;text/css&quot;&gt; &lt;!-- *{font-size:20px} .class3{ font-size: 12px; } --&gt; &lt;/style&gt; &lt;span class=&quot;class3&quot;&gt;我是多大字号?&lt;/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr4YwM.html" rel="bookmark">css优先级机制说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:css优先级机制说明 首先说明下样式的优先级,样式有三种: 1. 外部样式(External style sheet) 示例: &lt;!-- 外部样式 bootstrap.min.css --&gt; &lt;link href=&quot;css/bootstrap.min.css&quot; rel=&quot;stylesheet&quot; type=&quot;text/css&quot;&gt; 2.内部样式(Internal style sheet) 示例: &lt;head&gt;			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx23lRz.html" rel="bookmark">css优先级计算规则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:css优先级计算规则     最近面试了一些求职者,我问css优先级计算规则是怎样的?答曰ID优先级&gt;class&gt;元素选择器,外联样式优先级低于内联样式,内联样式优先级低于行间样式,然后就没有然后了--,ID选择器的优先级确实&gt;class选择器的优先级&gt;元素选择器的优先级,但是外联样式优先级并不一定低于内联样式优先级.做为一个合格的前端工程师,让我们彻底搞清楚css优先级计算规则吧!     特殊性     css继承是从一个元素向其后代元素传递属性值所采用的机制.确定应当向			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0OmRmb.html" rel="bookmark">css优先级汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:css优先级汇总 我所理解的css优先级:当两个或者多个样式作用于同一个元素时,就会出现css优先级的问题. 多重样式优先级:当内联样式.内部样式和外部样式作用于同一个元素时,属于多重样式的范畴.优先级的顺序为内联样式&gt;内部样式&gt;外部样式. &lt;head&gt; &lt;link href=&quot;style.css&quot; rel=&quot;stylesheet&quot; type=&quot;text/css&quot; /&gt; /*.color{color:re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91GYoM.html" rel="bookmark">浏览器如何判断css优先级</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 概念 浏览器是通过判断优先级,来决定到底哪些属性值是与元素最相关的,从而应用到该元素上.优先级是由选择器组成的匹配规则决定的. 如何计算? 优先级是根据由每种选择器类型构成的级联字串计算而成的. 它不是一个对应相应匹配表达式的权重值. 如果优先级相同,元素最终会应用 CSS 中靠后的声明. 注意: 在文档树中的距离是不会对元素优先级计算产生影响的.(可以看文档中无视DOM树中的距离的例子) 优先级顺序 下列是一份优先级逐级增加的选择器列表: 通用选择器* 元素(类型)选择器 类选择器 属性选择			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNG81b.html" rel="bookmark">CSS样式优先级计算方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一.什么是CSS优先级? 所谓CSS优先级,即是指CSS样式在浏览器中被解析的先后顺序.当同一个元素(或内容)被多个CSS选择符选中时,就要按照优先权取舍不同的CSS规则. 二.为什么要研究CSS优先级?CSS优先级与门户系统有什么关系? 研究CSS优先级的主要目的就是解决多个CSS选择符选中同一个元素时的冲突问题.在门户系统中,为了保证所有的页面能正常展示,几乎所有的微件及页面都有基础CSS样式,但是门户系统是开放的.个性化的平台,大部分样式都给予了用户修改权,这时自定义样式和门户基本样式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7x5wAb.html" rel="bookmark">CSS样式选择器优先级</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:CSS样式选择器优先级 CSS样式选择器分为4个等级,a.b.c.d,可以以这四种等级为依据确定CSS选择器的优先级. 1.如果样式是行内样式(通过Style=&quot;&quot;定义),那么a=12.b为ID选择器的总数3.c为Class类选择器的数量.4.d为类型选择器的数量5.属性选择器,伪类选择器和class类选择器优先级一样,伪元素选择器和类型选择器一样6.!important 权重最高,比 inline style 还要高. 例如:     选择器 特殊性 (a,b,c,d) Sty			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPW2Y0M.html" rel="bookmark">css知多少（6）&mdash;&mdash;选择器的优先级</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:css知多少(6)--选择器的优先级 1. 引言 上一节&lt;css知多少(5)--选择器&gt;最后提到,选择器类型过多将导致一些问题,是什么问题呢?咱们直接举例子说明. 上图中,css中的两个选择器都是针对&lt;span&gt;的,而且两个设置的颜色不一样,这里的&lt;span&gt;到底听从谁的命令? 上面还是比较简单的,下面在来一个复杂的: 上图中的&lt;li&gt;该显示成什么颜色呢? 2. 特指度 要解决以上问题,我们需要引入一个概念--特指度(specificity).特指度表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR8m28z.html" rel="bookmark">CSS中优先级问题引起的一些情况</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做网站开发前台网页的时候,时不时会碰到一些奇怪的问题,有时还真的莫明其秒.这不,前些日子双碰到一个让我大跌眼镜的问题:wordpress评论回复时不显示,而直接评论能正常显示.开始以为是代码问题,结果不是.因为,在文章中的评论回复是正常显示,而在图集幻灯中的评论就不能显示.这是怎么回事呢? 经过多次查找,终于让我找到问题之所在,如下图: wordpress自动在 children 标签里添加了 style 性性,这样一来,我在主题 style.css 中定义的样式 就不起作用了.晕死.怎么办呢?			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrWWyp.html" rel="bookmark" class="title">电脑网络时不时断开怎么办</a>
					<div>
						  电脑网络时不时断开怎么办 网络连接时好时断解决办法 一:网络端口接触不良.用酒精擦拭看行不行 二:网线水晶头坏了.有其它网线可以试一试.去买一根也才几块钱 三:有路由器建议去掉路由器.直接用主线上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGwv2z.html" rel="bookmark" class="title">无线标记语言&lpar;WML&rpar;基础之WML程序结构</a>
					<div>
						程序 上一节我们降解了一个简单的WML程序,具有HTML编程的读者可以看出,WML程序在结构上形式上与html程序有很多相似之处.下面我们就根据一个实例来分析一下WML程序的结构及组成. 1.WML的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdl22p.html" rel="bookmark" class="title">网页设计的色彩思考</a>
					<div>
						设计|网页|网页设计   人常常感受到色彩对自己心理的影响,这些影响总是在不知不觉中发挥作用,左右我们的情绪.色彩的心理效应发生在不同层次中.有些属直接的刺激,有些要通过间接的联想,更高层次则涉及到人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQnPOM.html" rel="bookmark" class="title">在Fireworks中绘制QQ聊天表情 &lbrack;1&rsqb;</a>
					<div>
						 前段时间,为大家讲解了如何在Fireworks中绘制QQ皮肤的教程实例,相信大家已有所收获.这次我们再利用Fireworks中自带的GIF动画制作功能,为大家讲解动态QQ表情的制作.从而也将个性化的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBQGoz.html" rel="bookmark" class="title">php学习之 数组声明</a>
					<div>
						复制代码 代码如下: &lt;?php /* * 一.数组的概述 * 1.数组的本质:管理和操作一组变量,成批处理 * 2.数组时复合类型(可以存储多个) * 3.数组中可以存储任意长度的数据,也可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBOoNM.html" rel="bookmark" class="title">PHP 会话 &lpar;Session&rpar; 使用入门</a>
					<div>
						session 对比起 Cookie,Session 是存储在服务器端的会话,相对安全,并且不像 Cookie 那样有存储长度限制,本文简单介绍 Session 的使用. 由于 Session 是以文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp83DlM.html" rel="bookmark" class="title">标准网：外链推广方法总结</a>
					<div>
						网站:标准网,目前雅虎的数量是4710,近期因为网站遭受木马的攻击,所以收录和外链停止了增长,对于一个新站半年之内外链通过正常的手段达到这个数量不能说多,但是一直都是很稳定的,之前也是每天在平稳的增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjyeNz.html" rel="bookmark" class="title">百度网站收录忽高忽低的真正原因</a>
					<div>
						之前看到有人分析google和百度在网站收录上的差别,相信站长们都有体会,最直观的就是google对于网站目录挖掘的更深,收录的更快,而百度感觉得使劲给它喂料,还必须把需要收录的页面尽量放在关键位置, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLAnOb.html" rel="bookmark" class="title">网络高可用性在企业网中的应用</a>
					<div>
						构建网络高可用性有很多方法,如: 1.服务器群集 包括LB:负载均衡群集 HA:高可用性群集 2.路由设备 HSRP :热备份路由协议  VRRP:虚拟路由器冗余协议 3.Linux 网络接口绑定bo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj08vp.html" rel="bookmark" class="title">VC自绘对话框</a>
					<div>
						闲来无事,写了一个简单的对话框界面,希望给需要的朋友有所帮助. 界面如下: 界面很单调,我只是想说明一下如何实现界面的自绘.如果有需要,也可以绘制更复杂漂亮的界面. 程序的实现也不复杂,接下来就跟着我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlReGnz.html" rel="bookmark" class="title">qq拼音输入法如何设置自定义短语？</a>
					<div>
						  qq拼音输入法怎么自定义短语?qq拼音输入法和其他输入法一样有一个很好用的功能,那就是自定义短语.我们在工作中需要多次重复用到一个词语或者句子,那么就可以把它设置成一个快捷用语,那样就方便很多.接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Neowz.html" rel="bookmark" class="title">电脑系统中chkdsk工具怎么运行</a>
					<div>
						  电脑系统中chkdsk工具怎么运行          Chkdsk工具是系统检查磁盘当前状态的一个命令,启动它可以显示磁盘状态.内存状态和指定路径下指定文件的不连续数目. 1.找到系统菜单,打开运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNrJoM.html" rel="bookmark" class="title">DevExpress Document Server访问Excel工作表</a>
					<div>
						  方法/步骤 1可以参考以下代码: using DevExpress.Spreadsheet; // ... Workbook workbook = new Workbook(); // Acces ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN17BJb.html" rel="bookmark" class="title">如何才能保护个人隐私防止被谷歌窥探</a>
					<div>
						我们知道前一阵Google修改了隐私条款,这又重新使得人们注意起了Google的隐私政策.如何才能使得自己的隐私不被别人Google到或是被Google获得?看看下面几招,教你躲避Google. 当有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaRxAz.html" rel="bookmark" class="title">win7系统修改MAC地址后无法还原的解决方法</a>
					<div>
						  1.检测一下自己的win7笔记本电脑,是否连接有什么外接设置,外接的键盘和鼠标都算是外接设备,如果有的话,需要将这些外接设备全部拔取掉. 2.将win7笔记本电脑的电池取下来,然后按下笔记本电脑的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYaPjM.html" rel="bookmark" class="title">传智播客c&sol;c&plus;&plus;公开课学习笔记--邮箱账户的破解与邮箱安全防控</a>
					<div>
						一.SMTP协议         SMTP(SimpleMail Transfer Protocol)即简单邮件传输协议.SMTP协议属于TCP/IP协议簇,通过SMTP协议所指定的服务器,就可以把E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badXaqz.html" rel="bookmark" class="title">Android开发ImageView图片无法显示解决过程&lowbar;Android</a>
					<div>
						今天碰到一个非常奇怪的问题: 在Android中ImageView无法显示加载的本地SDCard图片. 具体过程是:先调用本地照相机程序摄像,然后将拍摄的图片加载在ImageView中显示. 复制代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWQYWp.html" rel="bookmark" class="title">信息-VBScript 编译器错误 &amp;amp&semi;amp&semi;&num;39&semi;800a0400&amp;amp&semi;amp&semi;&num;39&semi;  缺少语句   line 99</a>
					<div>
						问题描述 VBScript 编译器错误 '800a0400' 缺少语句 line 99 &lt;%Option Explicit%&gt; 绿植鲜花玩具礼品店 TD { FONT-SIZE: 12px ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkD27b.html" rel="bookmark" class="title">教你在WPS中输入偏旁部首</a>
					<div>
						语文老师在编辑 教案或者试卷时,不可避免地要遇到输入偏旁部首的问题.我校老师经常使用金山文字http://www.aliyun.com/zixun/aggregation/19058.html&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3QvPz.html" rel="bookmark" class="title">apk-关于Android版本更新的问题</a>
					<div>
						问题描述 关于Android版本更新的问题 大神求助,之前下载下来,安装都没有任何问题,今天出了一个很奇葩的问题,就是下载完了安装的时候出毛病,签名没问题,我手机是红米2,我发现一个问题就是下载下来的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKRQAz.html" rel="bookmark" class="title">代码出错了</a>
					<div>
						问题描述 父类:package org.marsdroid;public class Person{protected String name;public int age;void eat(){Sy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK9rjz.html" rel="bookmark" class="title">一个PHP压缩类，在线压缩文件</a>
					<div>
						本文转自IT摆渡网欢迎转载,请标明出处 更多php文章请阅读 php开发 PHP压缩类:用于在线压缩文件.文档.目录等,附有使用方法,不想了解类原理的可直接按使用方法调用该类: &lt;?php // ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDGk3z.html" rel="bookmark" class="title">广电总局正式发文限制电视剧每天播出集数</a>
					<div>
						东方早报3月24日报道广电总局电视剧司日前下发&lt;关于进一步规范卫视综合频道电视剧编播管理的通知&gt;.通知规定,除国家法定节假日外,电视剧每天播出时间总量不得超过每天播出电视时间总量的45%: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydYq8b.html" rel="bookmark" class="title">针对创业公司的风投流程解析</a>
					<div>
						我在与创业者们交流时,经常会被问到关于风投的一些内幕.如我们关注的投资交易量有多少,因此展开的会议有多少,多久做一次深入调研以及我们会投资多少家申请投资的初创公司等等. 在我看来,假如风投公司可以对外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RO6Wz.html" rel="bookmark" class="title">在ASP&period;NET下，显示存储在SQL Server2005下的数据问题</a>
					<div>
						问题描述 我现在只知道用.NET提供的一些控件,有没有别的办法用来显示数据,不用控件用到的是什么技术哩?谢谢最好是能有个例子,呵呵 解决方案 解决方案二:不用控件来显示数据?估计在asp.net中是行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodjeVM.html" rel="bookmark" class="title">Java正则表达式（二）、常用正则工具类</a>
					<div>
						        此类提供日常开发中常用的正则验证函数,比如:邮箱.手机号.电话号码.身份证号码.日期.数字.小数.URL.IP地址等.使用Pattern对象的matches方法进行整个字符匹配,调用该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0Z7OM.html" rel="bookmark" class="title">互联网时代下，数据产业正成为一种新的生意</a>
					<div>
						10月21日报道,不久前,惠普有意以100亿美元的价格出售旗下软件部门,逐步将发展中心向网络.存储及数据中心相关技术服务转移.虽然惠普的软件业务去年营收仅有36亿美金,这个消息还是震动了整个IT界.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeBN5M.html" rel="bookmark" class="title">培育大数据产业助推转型跨越发展</a>
					<div>
						推进工业化和信息化&quot;两化&quot;深度融合是我省工业发展的主旋律,2016年我省要大力提升各领域信息化水平.要做好国家互联网与工业云融合创新试点工作.制定互联网与制造业融合发展路线图,推进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jRYXp.html" rel="bookmark" class="title">linux下删除7天前日志的代码&lpar;php&plus;shell&rpar;&lowbar;php技巧</a>
					<div>
						PHP版本: 复制代码 代码如下: /** * 删除7天前的日志 * @param $logPath */ function del7daysAgoLog($logPath) { if(empty($ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2YOmM.html" rel="bookmark" class="title">初來乍到</a>
					<div>
						问题描述 分數有點扯 解决方案 解决方案二:都一样.解决方案三: 解决方案四:本人也是,刚来半个月左右解决方案五:一起加油解决方案六:...解决方案七:初来乍到,一拳扁倒.					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
